public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Arthur Zamarin" <arthurzam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-check/
Date: Sun, 21 Aug 2022 17:41:24 +0000 (UTC)	[thread overview]
Message-ID: <1661103668.faef802a6f0d88da0507d77015fcffeb1959db5c.arthurzam@gentoo> (raw)

commit:     faef802a6f0d88da0507d77015fcffeb1959db5c
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 21 17:29:19 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Sun Aug 21 17:41:08 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=faef802a

dev-python/pytest-check: add 1.0.7

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/pytest-check/Manifest                  |  1 +
 dev-python/pytest-check/pytest-check-1.0.7.ebuild | 35 +++++++++++++++++++++++
 2 files changed, 36 insertions(+)

diff --git a/dev-python/pytest-check/Manifest b/dev-python/pytest-check/Manifest
index cecdf0eb86a2..788eff12befc 100644
--- a/dev-python/pytest-check/Manifest
+++ b/dev-python/pytest-check/Manifest
@@ -1 +1,2 @@
 DIST pytest-check-1.0.5.gh.tar.gz 10296 BLAKE2B 8eac4185e223736181e9465c8d4220874553d9e12d068069b40e7a1ea150c93d533facc8b3483649eb00da9a2286544c58e2c530138f830155466e3bb71aeedc SHA512 73c42c98639bf3026e62f5c2c9ce404ddbd4711afa1ff31d207886329a45cfc1c0f263dd3321a9b203b9b68cad87f76bbff61894ed7a67d0bd26e7d0d20ede21
+DIST pytest-check-1.0.7.tar.gz 12980 BLAKE2B ebcd8aed8ca20c67c9683a763da181981e0814bb10aaacd803f827610a3f33730655dfa684fc273b347a2542bc6c3f20e8253cc17d8a4bbe05c9938076784e4a SHA512 5cf5b25bc264475d475433f1418376c933335dbc7c765419cb00e6143a18d0ef560f027d472c21e2a339cee5111c487d7edd5b5cd149315e9d7cca956b928959

diff --git a/dev-python/pytest-check/pytest-check-1.0.7.ebuild b/dev-python/pytest-check/pytest-check-1.0.7.ebuild
new file mode 100644
index 000000000000..31947e866cc2
--- /dev/null
+++ b/dev-python/pytest-check/pytest-check-1.0.7.ebuild
@@ -0,0 +1,35 @@
+# Copyright 2021-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8..11} )
+
+inherit distutils-r1
+
+DESCRIPTION="pytest plugin that allows multiple failures per test"
+HOMEPAGE="
+	https://github.com/okken/pytest-check/
+	https://pypi.org/project/pytest_check/
+"
+SRC_URI="mirror://pypi/${P::1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+	dev-python/pytest[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+	# Fix expecting result in case pytest throws deprecation warnings
+	sed -e '/fnmatch_lines/s/\* /\*/g' \
+		-e '/fnmatch_lines/s/ \*/\*/g' \
+		-i tests/test_check.py || die
+
+	distutils-r1_src_prepare
+}


             reply	other threads:[~2022-08-21 17:41 UTC|newest]

Thread overview: 84+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-08-21 17:41 Arthur Zamarin [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-04-19 14:56 [gentoo-commits] repo/gentoo:master commit in: dev-python/pytest-check/ Michał Górny
2025-04-05 13:44 Michał Górny
2025-04-05 11:58 Sam James
2025-04-04 11:03 Arthur Zamarin
2025-03-31  7:10 Michał Górny
2025-03-19  7:32 Michał Górny
2025-03-09  9:11 WANG Xuerui
2025-03-01 11:57 Michał Górny
2025-03-01  9:29 Arthur Zamarin
2025-02-13  7:27 Michał Górny
2025-02-10  5:47 Michał Górny
2024-09-28 12:59 Michał Górny
2024-09-28 12:32 Arthur Zamarin
2024-08-29  4:52 Michał Górny
2024-08-28  3:43 Michał Górny
2024-06-10  7:57 Petr Vaněk
2024-02-03  9:17 Michał Górny
2024-02-03  8:30 Arthur Zamarin
2024-01-24 19:05 Michał Górny
2024-01-19  5:28 Michał Górny
2024-01-18 18:46 Michał Górny
2024-01-18 18:03 Arthur Zamarin
2024-01-18  3:43 Michał Górny
2024-01-09  7:02 Michał Górny
2024-01-01  4:13 Michał Górny
2023-10-24  5:58 Michał Górny
2023-10-23 18:50 Sam James
2023-09-22 11:34 Michał Górny
2023-08-19 18:14 Michał Górny
2023-08-19 16:44 Arthur Zamarin
2023-08-12  3:27 Michał Górny
2023-07-15  3:04 Michał Górny
2023-07-10  1:38 Michał Górny
2023-06-07  4:40 Michał Górny
2023-06-07  4:40 Michał Górny
2023-03-17 15:58 Michał Górny
2023-03-17 15:52 Arthur Zamarin
2023-03-14  5:02 Michał Górny
2023-03-13 19:39 Arthur Zamarin
2023-02-14  4:57 Michał Górny
2023-02-13  6:07 Michał Górny
2023-02-13  3:22 Matt Turner
2023-02-12 20:24 Jakov Smolić
2023-02-10  6:52 Michał Górny
2023-01-14  4:57 Michał Górny
2023-01-13  7:09 Michał Górny
2023-01-11 20:34 Michał Górny
2023-01-09  8:09 Michał Górny
2022-12-25 17:41 Michał Górny
2022-12-03  9:09 Michał Górny
2022-12-02 14:03 Arthur Zamarin
2022-11-26  6:28 Michał Górny
2022-11-23  8:41 Michał Górny
2022-11-22 19:56 Arthur Zamarin
2022-11-22  6:27 Arthur Zamarin
2022-11-03 19:41 Arthur Zamarin
2022-11-03 19:32 Arthur Zamarin
2022-09-29 18:07 Arthur Zamarin
2022-09-25 18:35 Arthur Zamarin
2022-09-25 18:28 Arthur Zamarin
2022-08-25 19:25 Arthur Zamarin
2022-05-10  5:47 Arthur Zamarin
2022-05-01 12:56 Michał Górny
2022-05-01 12:20 Jakov Smolić
2022-05-01  6:55 Michał Górny
2022-03-31 16:03 Michał Górny
2022-02-07 22:29 Sam James
2022-02-07 20:14 Arthur Zamarin
2022-02-07 20:14 Arthur Zamarin
2022-02-07  9:35 Sam James
2021-11-19 11:39 Arthur Zamarin
2021-11-19  7:59 Arthur Zamarin
2021-11-18 10:50 Sam James
2021-11-15 16:29 Agostino Sarubbo
2021-10-24  4:51 Sam James
2021-10-24  2:27 Sam James
2021-10-24  0:19 Sam James
2021-10-10 20:43 Sam James
2021-10-10  2:20 Sam James
2021-10-10  0:09 Sam James
2021-10-09 20:19 Sam James
2021-09-24 22:48 Sam James
2021-09-23 17:22 Arthur Zamarin

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1661103668.faef802a6f0d88da0507d77015fcffeb1959db5c.arthurzam@gentoo \
    --to=arthurzam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox